:root{
    --color-success: rgb(12, 170, 12);
    --color-danger: rgb(182, 69, 69);
    --color-warning: rgb(192, 165, 9);
    --color-info: rgb(33, 120, 201);
}

[x-cloak]{
    display: none;
}


.modal:not(.fade){
    position: absolute !important;
    inset: 0;
    margin: auto;
    height: fit-content;
    padding: 1rem 3rem;
	background: white;
	max-width: 500px;
    text-wrap: wrap !important;
	padding-top: 2rem;
	border-radius: 20px;
	border: 0;
	box-shadow: 0 5px 30px 0 rgb(0 0 0 / 10%);
    animation: fadeIn 800ms ease both;
}
.modal::backdrop{
    animation: fadeIn 1s ease both;
    background: rgba(117, 116, 116, 0.146);
    backdrop-filter: blur(5px);
}

.modal__content {
    font-size: 1rem;
    line-height: 1.3rem;
    padding: 0.5rem 0;
}

.modal__text{
    color: rgb(0 0 0 / 60%);
    padding: .5rem;
    text-wrap: wrap;
}

.modal__header {
    padding: 15px;
    border-bottom: 1px solid #e0e0e0;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.modal__title {
    font-weight: 600;
    font-size: 2rem;
    padding-bottom: 1rem;
}

.modal__btn__group{
    display: flex;
    align-items: center;
    justify-content: space-around;
}

.modal__confirm{
    background-color: var(--color-danger);
    color: white;
    border-radius: 5px;
    padding: .5rem 2rem;
}

.modal__cancel{
    background-color: var(--color-gray-light);
    color: var(--color-gray-dark);
    border-radius: 5px;
    padding: .5rem 2rem;
}

.close__modal__btn{
    position: absolute;
    top: 1rem;
    right: 1rem;
    background-color: rgb(223, 221, 221);
    color: rgb(53, 53, 53);
    border-radius: 50%;
    width: 2.5rem;
    height: 2.5rem;
    cursor: pointer;
    display: flex;
    justify-content: center;
    align-items: center;
}

.delete__modal{
    z-index: 100;
    background-color: white;
    position: absolute;
    border-radius: 5px;
    width: 300px;
    height: auto;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 1rem;
    box-shadow: 0 10px 40px rgba(0, 0, 0, 0.2);
    padding: 1rem;
    right: 0;
    animation: pop .2s ease;
}

.Toast{
    z-index: 100;
    background-color: white;
    position: absolute;
    bottom: 3rem;
    right: 0;
    border-radius: 5px;
    width: 20rem;
    height: 60px;
    display: flex;
    align-items: center;
    gap: 1rem;
    box-shadow: 0 10px 40px rgba(0, 0, 0, 0.2);
    padding: 1rem;
    animation: Slide-left 5s ease;
  }

  .Toast__success{
    color: var(--color-success);
  }

  .Toast__warning{
    color: var(--color-warning);
  }
  .Toast__error{
    color: var(--color-danger);
  }
  .Toast__info{
    color: var(--color-info);
  }

  .error__message {
    background-color: #f8d7da; /* Red color for error */
    color: #721c24; /* Dark text color */
    padding: 10px 15px;
    border-radius: 5px;
    border: 1px solid #f5c6cb; /* Border color */
    margin-bottom: 20px;
    font-size: 16px;
    margin-top: .5rem;
}

.error__message p{
    margin: 0;
}


@keyframes Slide-left {
    0%{
        transform: translateX(100%);
    }
    10%{
        transform: translateX(-10%);
    }
    90%{
        transform: translateX(-10%);
    }
    100%{
        transform: translateX(100%);
    }
}

@keyframes pop {
    0%{
        transform: scale(0);
    }
    100%{
        transform: scale(1);
    }
}
